## Uses of Interface
com.sun.javadoc.Tag

- - ### Uses of Tag in com.sun.javadoc

    Subinterfaces of Tag in com.sun.javadoc
    Modifier and Type | Interface and Description
    --- | ---
    `interface` | `ParamTag` Represents an @param documentation tag.
    `interface` | `SeeTag` Represents a user-defined cross-reference to related documentation.
    `interface` | `SerialFieldTag` Documents a Serializable field defined by an ObjectStreamField.
    `interface` | `ThrowsTag` Represents a @throws or @exception documentation tag.

    Methods in com.sun.javadoc that return Tag
    Modifier and Type | Method and Description
    --- | ---
    `Tag[]` | Tag.`firstSentenceTags()` Return the first sentence of the comment as an array of tags.
    `Tag[]` | Doc.`firstSentenceTags()` Return the first sentence of the comment as an array of tags.
    `Tag[]` | Tag.`inlineTags()` For a documentation comment with embedded `{@link}` tags, return an array of `Tag` objects.
    `Tag[]` | Doc.`inlineTags()` Return comment as an array of tags.
    `Tag[]` | Doc.`tags()` Return all tags in this Doc item.
    `Tag[]` | Doc.`tags(String tagname)` Return tags of the specified kind in this Doc item.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2014, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.